playMaker

Author Topic: Errors installing ecosystem in new project [SOLVED]  (Read 381 times)

TonkRogerio

  • Playmaker Newbie
  • *
  • Posts: 24
    • View Profile
Errors installing ecosystem in new project [SOLVED]
« on: May 16, 2019, 08:51:33 AM »
I'm getting these 3 errors when I install ecosystem and ecosystem doesn't show up.
Guessing it doesn't show up because of the errors but no idea how to solve the errors.
I've got ecosystem from the download site, should be v.6.5, playmaker is latest version from unity store, unity version is 2019.1.2f1

The three errors are as follows(pic at the end):-

1:- "Assets\net.fabrejean\Editor\PlayMaker\Ecosystem\EcosystemBrowser.cs(637,75): error CS0619: 'EventType.repaint' is obsolete: 'Use Repaint instead (UnityUpgradable) -> Repaint'"

2:-
"Assets\net.fabrejean\Editor\PlayMaker\Ecosystem\EcosystemBrowser.cs(927,30): error CS0619: 'EventType.mouseDown' is obsolete: 'Use MouseDown instead (UnityUpgradable) -> MouseDown'"

3:-
"Assets\net.fabrejean\Editor\PlayMaker\Ecosystem\EcosystemBrowser.cs(2244,75): error CS0619: 'EventType.repaint' is obsolete: 'Use Repaint instead (UnityUpgradable) -> Repaint'"

https://i.imgur.com/nIdt35a.png

« Last Edit: May 17, 2019, 05:31:11 AM by Alex Chouls »

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 14585
  • Official Playmaker Support
    • View Profile
Re: Errors installing ecosystem in new project
« Reply #1 on: May 16, 2019, 10:05:46 PM »
Hi,

 Unity upgrade system did not fire for some reason, you can see in all the errors that it says '(UnityUpgradable)'.

 Try to execute "Run API Updater" from the menu "Assets", if that doesn't work. Remove the folder fabrejean.net in your assets and import ecosystem again, but at this point, it could be that your Unity project is corrupted and needs some more fiddling about.

Bye,

 Jean

TonkRogerio

  • Playmaker Newbie
  • *
  • Posts: 24
    • View Profile
Re: Errors installing ecosystem in new project
« Reply #2 on: May 17, 2019, 03:19:45 AM »
Clicking on "run api updater" does nothing. it's not grayed out, it just doesn't do anything.

Just did a clean instal and it installed everything correctly this time. weird. Still not sure why run api updater didn't do anything, though.
« Last Edit: May 17, 2019, 03:26:35 AM by TonkRogerio »

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3632
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Errors installing ecosystem in new project
« Reply #3 on: May 17, 2019, 05:30:43 AM »
I’ve had this happen before. The Unity API Updater fails to run, but it thinks that it has and won’t run again! I’m going to mark this as solved, since normally the API updater handles this.

Groo Gadgets

  • Full Member
  • ***
  • Posts: 130
    • View Profile
Re: Errors installing ecosystem in new project [SOLVED]
« Reply #4 on: May 17, 2019, 08:25:29 AM »
Just encountered the same 3 errors in a fresh install.

Using Unity 2018.3.10f1 and PlayMaker 1.9.0.p15

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3632
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Errors installing ecosystem in new project [SOLVED]
« Reply #5 on: May 17, 2019, 10:35:54 AM »
Did the Unity API Updater run?
The updates are pretty easy to do manually.
Double click the error and change these:
EventType.repaint -> EventType.Repaint
EventType.mouseDown -> EventType.MouseDown

I'll suggest to Jean that he updates the Ecosystem with these changes since it seems the API Updater is a little flaky...

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 14585
  • Official Playmaker Support
    • View Profile
Re: Errors installing ecosystem in new project [SOLVED]
« Reply #6 on: May 20, 2019, 01:13:44 AM »
Hi,

 New version is up, fixing these api, Let me know if you run into more trouble.

Bye

 Jean